--bagID: BAG_BACKPACK
--event: EVENT_INVENTORY_FULL_UPDATE (?), EVENT_INVENTORY_BOUGHT_BAG_SPACE (different from BOUGHT_BANK_SPACE)
--API:	maxBags = GetMaxBags()
--		bagIcon, bagSlots = GetBagInfo(bagID)
--		icon, stack, sellPrice, failedEquipRequirement, locked, equipType, itemStyle, quality = GetItemInfo(bagID, slotIndex)
--		haveSpace = CheckInventorySpaceAndWarn(numItems)
--		haveSpace = CheckInventorySpaceSilently(numItems)
--		BuyBagSpace()	(different from BuyBankSpace() ? )


local module, text = ZAM_Stats:CreateModule("Bags")


CALLBACK_MANAGER:RegisterCallback("ZAM_Stats_Modules_Ready", function()
	local em = EVENT_MANAGER
	local maxSlots, usedSlots
	local function UpdateTextOnEvent(event)
			usedSlots, maxSlots = PLAYER_INVENTORY:GetNumSlots(INVENTORY_BACKPACK)
			ZAM_Stats:SetModuleText(text, usedSlots.."/"..maxSlots, " Bags")
		end

	em:RegisterForEvent(module:GetName(), EVENT_INVENTORY_FULL_UPDATE, UpdateTextOnEvent)
	em:RegisterForEvent(module:GetName(), EVENT_INVENTORY_BOUGHT_BAG_SPACE, UpdateTextOnEvent)
	em:RegisterForEvent(module:GetName(), EVENT_INVENTORY_SINGLE_SLOT_UPDATE, UpdateTextOnEvent)
	
	UpdateTextOnEvent()
	
	CALLBACK_MANAGER:RegisterCallback("ZAM_Stats_Force_Refresh", UpdateTextOnEvent)
end)
